# Guía de Desarrollo - Creación de Tablas y Consumo de Endpoints en el Backend YII 2

## Acerca del Proyecto
Este documento tiene como objetivo proporcionar las pautas y pasos necesarios para llevar a cabo la creación de tablas y servir información mediante el consumo de endpoints o APIs en el backend.

## El Archivo Principal
El archivo principal contiene una serie de pasos detallados que deben seguirse para configurar y poner en marcha el proyecto. A continuación, se describen los principales puntos:

### 1. Crear un Rol (Usuario) para la Base de Datos
Se explicará cómo crear un rol de usuario específico para la base de datos, garantizando la seguridad y los permisos adecuados.
<br><br>Recuerda tener instalado el motor del posgres para poder operar la consola.

![Texto Alternativo](Images/psql.PNG")

Ingresar el siguiente ejemplo desde la consola de (psql):
~~~
create role "ed_puerta" with login password 'ed_puerta';
~~~

### 2. Crear una Base de Datos
Los pasos para la creación de la base de datos necesaria serán detallados, asegurando la correcta configuración del entorno de almacenamiento de datos.
Ingresar el siguiente ejemplo desde la consola de (psql):
~~~
create database "ed_puerta" with owner="ed_puerta" template=template0;
~~~

### 3. Configurar en el Archivo `config/db.php`
Se proporcionarán instrucciones sobre cómo configurar adecuadamente el archivo `db.php` para establecer la conexión entre la aplicación y la base de datos.

### 4. Clonar el Proyecto de PHP
Instrucciones sobre cómo clonar el proyecto desde el repositorio de PHP para obtener la estructura base del proyecto.

### 5. Migraciones
Se describirá el proceso de migración, que implica aplicar y gestionar cambios en la base de datos a medida que evoluciona la aplicación.

### 6. Creación de Tablas
Pasos detallados sobre la creación de tablas específicas, asegurando la coherencia y estructuración adecuada de los datos.

### 7. Inicialización de Servidor PHP
Instrucciones para inicializar el servidor PHP y poner en marcha la aplicación localmente.

### 8. Generador de Modelos a través del Yii 2
Cómo utilizar el generador de modelos proporcionado por Yii 2 para facilitar la creación de modelos de datos.

### 9. Configuración de Controladores
Instrucciones sobre cómo configurar controladores para gestionar de manera eficiente las solicitudes y respuestas en la aplicación.

### TODO
Lista de tareas pendientes o mejoras planificadas para el proyecto.

### Tecnologías
Enumeración de las tecnologías clave utilizadas en el proyecto.

<!-- Otros detalles o secciones del README según sea necesario -->



